package test;

public class TestArrayListSetImpl3 extends AbstractTest {

    public static void main(String[] args) throws InstantiationException, IllegalAccessException {
        new TestArrayListSetImpl3();
    }

    protected void runTests() {
        this.testExpected = 7;
        try {
            testSuperTypes();
        } catch (Exception e) {
            e.printStackTrace();
        }
        try {
            testIterator();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void testSuperTypes() {
        set.ArrayListSetImpl p = new set.ArrayListSetImpl();
        assertInstanceOf(p, set.SetIterable.class);
    }

    public void testIterator() {
		set.ArrayListSetImpl s = new set.ArrayListSetImpl();
		
		s.add("ane");
		s.add("trotro");
		
		set.SetIterator it = s.iterator();
		assertInstanceOf(it, set.ArrayListSetIterator.class);
		assertTrue(it.hasNext(), "there should be one element");
		assertEquals("ane", it.next());
		assertTrue(it.hasNext(), "there should be a second element");
		assertEquals("trotro", it.next());
		assertTrue(it.hasNext() == false, "there should be no more element");		
    }
}
