package test;

public class TestArrayListSetIterator1 extends AbstractTest {

    public static void main(String[] args) throws InstantiationException, IllegalAccessException {
        new TestArrayListSetIterator1();
    }

    protected void runTests() {
        this.testExpected = 5;

        try {
            testDeclaredMethods();
        } catch (Exception e) {
            e.printStackTrace();
        }
        try {
            testDeclaredConstructors();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void testDeclaredMethods() {
        assertDeclaredMethod(set.ArrayListSetIterator.class, "hasNext", new Class[]{ }, "missing method hasNext() in class ArrayListSetIterator");
        assertReturnType(set.ArrayListSetIterator.class, "hasNext", new Class[]{ }, new Class[] { boolean.class }, "return type of method hasNext() should be boolean in class ArrayListSetIterator");

        assertDeclaredMethod(set.ArrayListSetIterator.class, "next", new Class[]{  }, "missing method next() in class ArrayListSetIterator");
        assertReturnType(set.ArrayListSetIterator.class, "next", new Class[]{  }, new Class[] { Object.class }, "return type of method next() should be Object in class ArrayListSetIterator");
    }

    public void testDeclaredConstructors() {
        assertDeclaredConstructor(set.ArrayListSetIterator.class, new Class[]{ java.util.ArrayList.class }, "missing constructor ArrayListSetIterator() in class ArrayListSetIterator / or wrong parameter type");
  }
}
