package test;

public class TestArrayListSetIterator2 extends AbstractTest {

    public static void main(String[] args) throws InstantiationException, IllegalAccessException {
        new TestArrayListSetIterator2();
    }

    protected void runTests() {
        this.testExpected = 12;
        try {
            testSuperTypes();
        } catch (Exception e) {
            e.printStackTrace();
        }
        try {
            testHasNextAndNext();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void testSuperTypes() {
        set.ArrayListSetIterator p = new set.ArrayListSetIterator(new java.util.ArrayList());
        assertInstanceOf(p, set.SetIterator.class);
    }

    public void testHasNextAndNext() {
		java.util.ArrayList l = new java.util.ArrayList();
        set.ArrayListSetIterator it = new set.ArrayListSetIterator(l);
		assertTrue(it.hasNext() == false, "there should be no more element");		

		l.add("ane");
        it = new set.ArrayListSetIterator(l);	
		assertTrue(it.hasNext(), "there should be one element");
		assertEquals("ane", it.next());
		assertTrue(it.hasNext() == false, "there should be no more element");		

		l.add("trop");
		l.add("rigolo");	
        it = new set.ArrayListSetIterator(l);	
		assertTrue(it.hasNext(), "there should be one element");
		assertEquals("ane", it.next());
		assertTrue(it.hasNext(), "there should be a second element");
		assertEquals("trop", it.next());
		assertTrue(it.hasNext(), "there should be a third element");
		assertEquals("rigolo", it.next());
		assertTrue(it.hasNext() == false, "there should be no more element");
    }
}
