package test;

public class TestArraySetIterator1 extends AbstractTest {

    public static void main(String[] args) throws InstantiationException, IllegalAccessException {
        new TestArraySetIterator1();
    }

    protected void runTests() {
        this.testExpected = 5;

        try {
            testDeclaredMethods();
        } catch (Exception e) {
            e.printStackTrace();
        }
        try {
            testDeclaredConstructors();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void testDeclaredMethods() {
        assertDeclaredMethod(set.ArraySetIterator.class, "hasNext", new Class[]{ }, "missing method hasNext() in class ArraySetIterator");
        assertReturnType(set.ArraySetIterator.class, "hasNext", new Class[]{ }, new Class[] { boolean.class }, "return type of method hasNext() should be boolean in class ArraySetIterator");

        assertDeclaredMethod(set.ArraySetIterator.class, "next", new Class[]{  }, "missing method next() in class ArraySetIterator");
        assertReturnType(set.ArraySetIterator.class, "next", new Class[]{  }, new Class[] { Object.class }, "return type of method next() should be Object in class ArraySetIterator");
    }

    public void testDeclaredConstructors() {
        assertDeclaredConstructor(set.ArraySetIterator.class, new Class[]{ Object[].class, int.class }, "missing constructor ArraySetIterator() in class ArraySetIterator");
  }
}
