package test;

import set.*;

public class TestBinaryOperator2 extends AbstractTest {

    public static void main(String[] args) throws InstantiationException, IllegalAccessException {
        new TestBinaryOperator2();
    }

    protected void runTests() {
        this.testExpected = 2;
        try {
            testGetOperands();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    class MyBinaryOperator extends set.BinaryOperator {
        public MyBinaryOperator(ObjectSet o1, ObjectSet o2) {
            super(o1, o2);
        }

        public ObjectSet evaluate() {
			return null;
        }
    }

	class MyObjectSet implements ObjectSet {
	   public void add(Object o) {}

	   public void addAll(ObjectSet s) {}

	   public boolean contains(Object o) {
		return false;	
	   }

	   public int size() {
		return 0;	
	   }

	   public ObjectSet copy() {
		return null;	
	   }

	   public SetIterator iterator() {
		return null;	
	   }
	}


    public void testGetOperands() {
		MyObjectSet s1 = new MyObjectSet();
		MyObjectSet s2 = new MyObjectSet();
		
        MyBinaryOperator op = new MyBinaryOperator(s1, s2);	

        assertTrue(s1 == op.getFirstOperand(), "getFirstOperand() should return the first provided operand that was given in the constructor");
        assertTrue(s2 == op.getSecondOperand(), "getSecondOperand() should return the second provided operand that was given in the constructor");
    }

}
