package test;

public class TestMinus1 extends AbstractTest {

    public static void main(String[] args) throws InstantiationException, IllegalAccessException {
        new TestMinus1();
    }

    protected void runTests() {
        this.testExpected = 5;

        try {
            testDeclaredMethods();
        } catch (Exception e) {
            e.printStackTrace();
        }
        try {
            testDeclaredConstructors();
        } catch (Exception e) {
            e.printStackTrace();
        }
        try {
            testSuperTypes();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void testDeclaredMethods() {
        assertDeclaredMethod(set.Minus.class, "evaluate", new Class[]{ }, "missing method evaluate() in class Minus");
        assertReturnType(set.Minus.class, "evaluate", new Class[]{  }, new Class[] { set.ObjectSet.class }, "return type of method evaluate() should be ObjectSet in class Minus");
    }

    public void testDeclaredConstructors() {
        assertDeclaredConstructor(set.Minus.class, new Class[]{ set.ObjectSet.class, set.ObjectSet.class }, "missing constructor Minus() in class Minus / or wrong parameter count or types");
    }

    public void testSuperTypes() {
        set.Minus u = new set.Minus(null, null);
        assertInstanceOf(u, set.Operator.class);
        assertInstanceOf(u, set.BinaryOperator.class);
    }

}
