package test;

public class TestSetIterable extends AbstractTest {

    public static void main(String[] args) throws InstantiationException, IllegalAccessException {
        new TestSetIterable();
    }

    protected void runTests() {
        this.testExpected = 3;
        try {
            testClass();
        } catch (Exception e) {
            e.printStackTrace();
        }
        try {
            testDeclaredMethods();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void testClass() {
		assertInterface(set.SetIterable.class, "SetIterable must be an interface");	
    }

    public void testDeclaredMethods() {
        assertDeclaredMethod(set.SetIterable.class, "iterator", new Class[]{ }, "missing method iterator() in interface SetIterable / or wrong parameter type");
        assertReturnType(set.SetIterable.class, "iterator", new Class[]{ }, new Class[] { set.SetIterator.class }, "return type of method iterator() should be void in interface SetIterable");
    }
}
