package test;

public class TestSetIterator extends AbstractTest {

    public static void main(String[] args) throws InstantiationException, IllegalAccessException {
        new TestSetIterator();
    }

    protected void runTests() {
        this.testExpected = 5;
        try {
            testClass();
        } catch (Exception e) {
            e.printStackTrace();
        }
        try {
            testDeclaredMethods();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void testClass() {
		assertInterface(set.SetIterator.class, "SetIterator must be an interface");	
    }

    public void testDeclaredMethods() {
        assertDeclaredMethod(set.SetIterator.class, "hasNext", new Class[]{ }, "missing method hasNext() in interface SetIterator / or wrong parameter type");
        assertReturnType(set.SetIterator.class, "hasNext", new Class[]{ }, new Class[] { boolean.class }, "return type of method hasNext() should be void in interface SetIterator");

        assertDeclaredMethod(set.SetIterator.class, "next", new Class[]{ }, "missing method next() in interface SetIterator / or wrong parameter type");
        assertReturnType(set.SetIterator.class, "next", new Class[]{ }, new Class[] { Object.class}, "return type of method next() should be void in interface SetIterator");
    }
}
