package test;

public class TestUnion1 extends AbstractTest {

    public static void main(String[] args) throws InstantiationException, IllegalAccessException {
        new TestUnion1();
    }

    protected void runTests() {
        this.testExpected = 5;

        try {
            testDeclaredMethods();
        } catch (Exception e) {
            e.printStackTrace();
        }
        try {
            testDeclaredConstructors();
        } catch (Exception e) {
            e.printStackTrace();
        }
        try {
            testSuperTypes();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void testDeclaredMethods() {
        assertDeclaredMethod(set.Union.class, "evaluate", new Class[]{ }, "missing method evaluate() in class Union");
        assertReturnType(set.Union.class, "evaluate", new Class[]{  }, new Class[] { set.ObjectSet.class }, "return type of method evaluate() should be ObjectSet in class Union");
    }

    public void testDeclaredConstructors() {
        assertDeclaredConstructor(set.Union.class, new Class[]{ set.ObjectSet.class, set.ObjectSet.class }, "missing constructor Union() in class Union / or wrong parameter count or types");
    }

    public void testSuperTypes() {
        set.Union u = new set.Union(null, null);
        assertInstanceOf(u, set.Operator.class);
        assertInstanceOf(u, set.BinaryOperator.class);
    }

}
