package test;

public class TestArrayListSetImpl1 extends AbstractTest {

    public static void main(String[] args) throws InstantiationException, IllegalAccessException {
        new TestArrayListSetImpl1();
    }

    protected void runTests() {
        this.testExpected = 11;

        try {
            testDeclaredMethods();
        } catch (Exception e) {
            e.printStackTrace();
        }
        try {
            testDeclaredConstructors();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void testDeclaredMethods() {
        assertDeclaredMethod(set.ArrayListSetImpl.class, "add", new Class[]{ Object.class}, "missing method add() in class ArrayListSetImpl");
        assertReturnType(set.ArrayListSetImpl.class, "add", new Class[]{ Object.class }, new Class[] { void.class }, "return type of method add() should be void in class ArrayListSetImpl");

        assertDeclaredMethod(set.ArrayListSetImpl.class, "addAll", new Class[]{ set.ObjectSet.class }, "missing method addAll() in class ArrayListSetImpl");
        assertReturnType(set.ArrayListSetImpl.class, "addAll", new Class[]{ set.ObjectSet.class }, new Class[] { void.class }, "return type of method addAll() should be void in class ArrayListSetImpl");

        assertDeclaredMethod(set.ArrayListSetImpl.class, "contains", new Class[]{ Object.class }, "missing method contains() in class ArrayListSetImpl");
        assertReturnType(set.ArrayListSetImpl.class, "contains", new Class[] { Object.class }, new Class[] { boolean.class }, "return type of method contains() should be boolean in class ArrayListSetImpl");

        assertDeclaredMethod(set.ArrayListSetImpl.class, "size", new Class[]{ }, "missing method size() in class ArrayListSetImpl");
        assertReturnType(set.ArrayListSetImpl.class, "size", new Class[] { }, new Class[] { int.class }, "return type of method size() should be int in class ArrayListSetImpl");

        assertDeclaredMethod(set.ArrayListSetImpl.class, "copy", new Class[]{ }, "missing method copy() in class ArrayListSetImpl");
        assertReturnType(set.ArrayListSetImpl.class, "copy", new Class[] { }, new Class[] { set.ObjectSet.class }, "return type of method copy() should be ObjectSet in class ArrayListSetImpl");
    }

    public void testDeclaredConstructors() {
        assertDeclaredConstructor(set.ArrayListSetImpl.class, new Class[]{}, "missing constructor ArrayListSetImpl() in class ArrayListSetImpl");
    }
}
