package test;

public class TestArraySetImpl1 extends AbstractTest {

    public static void main(String[] args) throws InstantiationException, IllegalAccessException {
        new TestArraySetImpl1();
    }

    protected void runTests() {
        this.testExpected = 12;

        try {
            testDeclaredMethods();
        } catch (Exception e) {
            e.printStackTrace();
        }
        try {
            testDeclaredConstructors();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void testDeclaredMethods() {
        assertDeclaredMethod(set.ArraySetImpl.class, "add", new Class[]{ Object.class}, "missing method add() in class ArraySetImpl");
        assertReturnType(set.ArraySetImpl.class, "add", new Class[]{ Object.class }, new Class[] { void.class }, "return type of method add() should be void in class ArraySetImpl");

        assertDeclaredMethod(set.ArraySetImpl.class, "addAll", new Class[]{ set.ObjectSet.class }, "missing method addAll() in class ArraySetImpl");
        assertReturnType(set.ArraySetImpl.class, "addAll", new Class[]{ set.ObjectSet.class }, new Class[] { void.class }, "return type of method addAll() should be void in class ArraySetImpl");

        assertDeclaredMethod(set.ArraySetImpl.class, "contains", new Class[]{ Object.class }, "missing method contains() in class ArraySetImpl");
        assertReturnType(set.ArraySetImpl.class, "contains", new Class[] { Object.class }, new Class[] { boolean.class }, "return type of method contains() should be boolean in class ArraySetImpl");

        assertDeclaredMethod(set.ArraySetImpl.class, "size", new Class[]{ }, "missing method size() in class ArraySetImpl");
        assertReturnType(set.ArraySetImpl.class, "size", new Class[] { }, new Class[] { int.class }, "return type of method size() should be int in class ArraySetImpl");

        assertDeclaredMethod(set.ArraySetImpl.class, "copy", new Class[]{ }, "missing method copy() in class ArraySetImpl");
        assertReturnType(set.ArraySetImpl.class, "copy", new Class[] { }, new Class[] { set.ObjectSet.class }, "return type of method copy() should be ObjectSet in class ArraySetImpl");
    }

    public void testDeclaredConstructors() {
        assertDeclaredConstructor(set.ArraySetImpl.class, new Class[]{}, "missing constructor ArraySetImpl() in class ArraySetImpl");

        assertDeclaredConstructor(set.ArraySetImpl.class, new Class[]{int.class}, "missing constructor ArraySetImpl(int) in class ArraySetImpl");
    }
}
