package test;

public class TestBinaryOperator1 extends AbstractTest {

    public static void main(String[] args) throws InstantiationException, IllegalAccessException {
        new TestBinaryOperator1();
    }

    protected void runTests() {
        this.testExpected = 8;
        try {
            testClass();
        } catch (Exception e) {
            e.printStackTrace();
        }
        try {
            testDeclaredMethods();
        } catch (Exception e) {
            e.printStackTrace();
        }
        try {
            testDeclaredConstructors();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void testClass() {
	    assertAbstractClass(set.BinaryOperator.class, "BinaryOperator must be an abstract class");
    }

    public void testDeclaredMethods() {
        assertDeclaredMethod(set.BinaryOperator.class, "getFirstOperand", new Class[]{}, "missing method getFirstOperand() in class BinaryOperator");
        assertReturnType(set.BinaryOperator.class, "getFirstOperand", new Class[]{}, new Class[] { set.ObjectSet.class }, "return type of method getFirstOperand() should be ObjectSet in class BinaryOperator");

        assertDeclaredMethod(set.BinaryOperator.class, "getSecondOperand", new Class[]{}, "missing method getSecondOperand() in class BinaryOperator");
        assertReturnType(set.BinaryOperator.class, "getSecondOperand", new Class[]{}, new Class[] { set.ObjectSet.class }, "return type of method getSecondOperand() should be ObjectSet in class BinaryOperator");
  
        assertDeclaredAbstractMethod(set.BinaryOperator.class, "evaluate", new Class[]{ }, "missing method evaluate() in class BinaryOperator");
        assertReturnType(set.BinaryOperator.class, "evaluate", new Class[] { }, new Class[] { set.ObjectSet.class }, "return type of method evaluate() should be ObjectSet in class BinaryOperator");
    }

    public void testDeclaredConstructors() {
        assertDeclaredConstructor(set.BinaryOperator.class, new Class[]{set.ObjectSet.class, set.ObjectSet.class}, "missing constructor BinaryOperator() in class BinaryOperator / or wrong parameters");
    }
}
