package test;

public class TestIntersect1 extends AbstractTest {

    public static void main(String[] args) throws InstantiationException, IllegalAccessException {
        new TestIntersect1();
    }

    protected void runTests() {
        this.testExpected = 5;

        try {
            testDeclaredMethods();
        } catch (Exception e) {
            e.printStackTrace();
        }
        try {
            testDeclaredConstructors();
        } catch (Exception e) {
            e.printStackTrace();
        }
        try {
            testSuperTypes();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void testDeclaredMethods() {
        assertDeclaredMethod(set.Intersect.class, "evaluate", new Class[]{ }, "missing method evaluate() in class Intersect");
        assertReturnType(set.Intersect.class, "evaluate", new Class[]{  }, new Class[] { set.ObjectSet.class }, "return type of method evaluate() should be ObjectSet in class Intersect");
    }

    public void testDeclaredConstructors() {
        assertDeclaredConstructor(set.Intersect.class, new Class[]{ set.ObjectSet.class, set.ObjectSet.class }, "missing constructor Intersect() in class Intersect / or wrong parameter count or types");
    }

    public void testSuperTypes() {
        set.Intersect u = new set.Intersect(null, null);
        assertInstanceOf(u, set.Operator.class);
        assertInstanceOf(u, set.BinaryOperator.class);
    }

}
