package test;

public class TestOperator extends AbstractTest {

    public static void main(String[] args) throws InstantiationException, IllegalAccessException {
        new TestOperator();
    }

    protected void runTests() {
        this.testExpected = 3;
        try {
            testClass();
        } catch (Exception e) {
            e.printStackTrace();
        }
        try {
            testDeclaredMethods();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void testClass() {
		assertInterface(set.Operator.class, "Operator must be an interface");	
    }

    public void testDeclaredMethods() {
        assertDeclaredMethod(set.Operator.class, "evaluate", new Class[]{ }, "missing method evaluate() in interface Operator / or wrong parameter type");
        assertReturnType(set.Operator.class, "evaluate", new Class[]{ }, new Class[] { set.ObjectSet.class }, "return type of method evaluate() should be void in interface Operator");
    }
}
